Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.taskqueue.dev
Class QueueStateInfo

    java.lang.Object
      com.google.appengine.api.taskqueue.dev.QueueStateInfo

    public final class QueueStateInfo

extends java.lang.Object

Dev Server task queue state descriptor.

Used by JSP/JSTL functions to display UI components. Access through JSTL can be somewhat awkward so a number of accessors in this class are made specifically for JSTL rendering. We've encountered some seemingly random NPEs in the pb library code that generates property descriptors for pbs that are used as java beans, and rather than trying to fight that battle we have instead taken the approach of not exposing any pbs to the JSP. Instead, we wrap pbs in standard java beans.

Nested Class Summary
`static class` | `QueueStateInfo.HeaderWrapper` Wrapper for a `Header` to avoid exposing pbs to jsp.
`static class` | `QueueStateInfo.TaskStateInfo` Description of task state information.

Constructor Summary
`QueueStateInfo(Entry entry, java.util.List<QueueStateInfo.TaskStateInfo> taskInfo)`

Method Summary
`int` | `getBucketSize()`
`int` | `getCountTasks()`
`int` | `getCountUnfinishedTasks()`
`Entry` | `getEntry()`
`Mode` | `getMode()`
`java.util.Date` | `getOldestTaskEta()`
`java.util.List<QueueStateInfo.TaskStateInfo>` | `getTaskInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueStateInfo

    public QueueStateInfo(Entry entry,
                          java.util.List<QueueStateInfo.TaskStateInfo> taskInfo)

Method Detail

### getEntry

    public Entry getEntry()

### getMode

    public Mode getMode()

### getBucketSize

    public int getBucketSize()

### getTaskInfo

    public java.util.List<QueueStateInfo.TaskStateInfo> getTaskInfo()

### getCountTasks

    public int getCountTasks()

### getCountUnfinishedTasks

    public int getCountUnfinishedTasks()

### getOldestTaskEta

    public java.util.Date getOldestTaskEta()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD